/* GNOME DB library
 * Copyright (C) 1999-2002 The GNOME Foundation.
 *
 * AUTHORS:
 *      Rodrigo Moya <rodrigo@gnome-db.org>
 *
 * This Library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This Library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this Library; see the file COPYING.LIB.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#if !defined(__gnome_db_browser_private_h__)
#  define __gnome_db_browser_private_h__

#include <libgda/gda-connection.h>
#include <gtk/gtkwidget.h>

G_BEGIN_DECLS

GtkWidget  *gnome_db_browser_procedures_new (void);
GtkWidget  *gnome_db_browser_tables_new (void);
void        gnome_db_browser_tables_show (GtkWidget *widget,
					  GdaConnection *cnc,
					  const gchar *str);
void        gnome_db_browser_tables_clear (GtkWidget *widget);
GtkWidget  *gnome_db_browser_types_new (void);
GtkWidget  *gnome_db_browser_views_new (void);
void        gnome_db_browser_views_show (GtkWidget *widget,
					 GdaConnection *cnc,
					 const gchar *str);
void        gnome_db_browser_views_clear (GtkWidget *widget);

G_END_DECLS

#endif
